Rem -----------------------------------------------------------------------------------------------
Rem --Informations sur le systme local par WMI, cration d'un fichier log
Rem --Project GAYL v1.6 (Gimme All Your Love) by StormyTeam (December 2002). 
Rem --Windows98 (+WMI support)
Rem -----------------------------------------------------------------------------------------------
On error resume next
Rem --Dfinit l'ordinateur local comme tant le systme trait par le script.
strComputer = "."
Rem --Dclarations des constantes [ForReading & ForWriting & LineX].
Const ForReading = 1
Const ForWriting = 2
Const LineX = "-------------------------"
Set objWMIService = GetObject("winmgmts:" & "{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2")
Rem --On dfinit pour FSO (File System Object) un objet Automation Scripting. 
Set fso = CreateObject("Scripting.FileSystemObject")
Rem --On efface le prcdent log si il existe dens le dossier system. Son absence n'a aucune importance.
fso.DeleteFile("c:\windows\system\Info.txt")
Rem --On ouvre (ou on cre selon) le fichier log pour criture. True force l'ouverture.
Set Logx = fso.OpenTextFile("c:\windows\system\Info.txt",ForWriting,True)
Rem --On commence par inscrire la date et l'heure.
Logx.WriteLine Now 
Rem --Un saut de ligne, un!
Logx.WriteBlankLines (1)
Rem --On initialise colSettings par l'objet Automation WMIService.ExecQuery port sur Win32_OS.
Set colSettings = objWMIService.ExecQuery ("Select * from Win32_OperatingSystem")
Rem --Pour toutes les informations Win32_OperatingSystem...
For Each objOperatingSystem in colSettings
    Logx.WriteLine LineX
    Logx.WriteLine "Operating System Informations."
    Logx.WriteLine LineX
Rem --On note les rsultats de la proprit.  
    Logx.WriteLine "OS Name: " & objOperatingSystem.Name
    Logx.WriteLine "Version: " & objOperatingSystem.Version
    Logx.WriteLine "OS Manufacturer: " & objOperatingSystem.Manufacturer
    Logx.WriteLine "Windows Directory: " & objOperatingSystem.WindowsDirectory
    Logx.WriteLine "Path Locale: " & objOperatingSystem.Locale
    Logx.WriteLine "Available Physical Memory: " & objOperatingSystem.FreePhysicalMemory
    Logx.WriteLine "Total Virtual Memory: " & objOperatingSystem.TotalVirtualMemorySize
    Logx.WriteLine "Available Virtual Memory: " & objOperatingSystem.FreeVirtualMemory
    Logx.WriteLine "OS Name: " & objOperatingSystem.SizeStoredInPagingFiles
Next
Logx.WriteBlankLines (1)
Rem --On initialise colSettings par l'objet Automation WMIService.ExecQuery port sur Win32_CS.
Set colSettings = objWMIService.ExecQuery ("Select * from Win32_ComputerSystem")
Rem --Pour toutes les informations Win32_ComputerSystem...
For Each objComputer in colSettings
    Logx.WriteLine LineX
    Logx.WriteLine "System Informations." 
    Logx.WriteLine LineX
Rem --On note les rsultats de la proprit.  
    Logx.WriteLine "System Name: " & objComputer.Name
    Logx.WriteLine "System Manufacturer: " & objComputer.Manufacturer
    Logx.WriteLine "System Model: " & objComputer.Model
    Logx.WriteLine "Time Zone: " & objComputer.CurrentTimeZone
    Logx.WriteLine "Total Physical Memory: " & objComputer.TotalPhysicalMemory
Next
Logx.WriteBlankLines (1)
Rem --On initialise colSettings par l'objet Automation WMIService.ExecQuery port sur Win32_Processor.
Set colSettings = objWMIService.ExecQuery ("Select * from Win32_Processor")
Rem --Pour toutes les informations Win32_Processor...
For Each objProcessor in colSettings
    Logx.WriteLine LineX
    Logx.WriteLine "Processor Informations." 
    Logx.WriteLine LineX
Rem --Dfinition de la variable (i) pour informations correspondantes au format textuel..    
Select Case objProcessor.Architecture(i)        
     Case 0 
        strComputerArchitecture = "x86 computer"
     Case 1        
        strComputerArchitecture = "Mips computer"
     Case 2
        strComputerArchitecture = "Alpha computer"
     Case 3
        strComputerArchitecture = "PowerPC computer"
     Case 6
        strComputerArchitecture = "ia64 computer"     
End Select
Rem --On note la proprit.
    Logx.WriteLine "System Type --> " & objProcessor.Architecture & " - " & strComputerArchitecture
    Logx.WriteLine "Processor: " & objProcessor.Description
Next
Rem --On initialise colSettings par l'objet Automation WMIService.ExecQuery port sur Win32_BIOS.
Set colSettings = objWMIService.ExecQuery ("Select * from Win32_BIOS")
Rem --Pour  l'information Win32_BIOS...
For Each objBIOS in colSettings
    Logx.WriteLine "Bios version: " & objBIOS.Version
    Logx.WriteLine "Build Number: " & objBIOS.BuildNumber
    Logx.WriteLine  "Current Language: " & objBIOS.CurrentLanguage
    Logx.WriteLine "Installable Languages: " & objBIOS.InstallableLanguages
    Logx.WriteLine "Manufacturer: " & objBIOS.Manufacturer
    Logx.WriteLine "Name: " & objBIOS.Name
    Logx.WriteLine "Primary BIOS: " & objBIOS.PrimaryBIOS
    Logx.WriteLine "Release Date: " & objBIOS.ReleaseDate
    Logx.WriteLine "Serial Number: " & objBIOS.SerialNumber
    Logx.WriteLine "Status: " & objBIOS.Status
    Logx.WriteBlankLines (1)
    Logx.WriteLine LineX
    Logx.WriteLine "SMBios Informations." 
    Logx.WriteLine LineX
    Logx.WriteLine "SMBIOS Version: " & objBIOS.SMBIOSBIOSVersion
    Logx.WriteLine "SMBIOS Major Version: " & objBIOS.SMBIOSMajorVersion
    Logx.WriteLine "SMBIOS Minor Version: " & objBIOS.SMBIOSMinorVersion
    Logx.WriteLine "SMBIOS Present: " & objBIOS.SMBIOSPresent
Next
Rem --On initialise colSMBIOS par l'objet Automation WMIService.ExecQuery port sur Win32_SystemEnclosure. 
Set colSMBIOS = objWMIService.ExecQuery ("Select * from Win32_SystemEnclosure")
For Each objSMBIOS in colSMBIOS
    Logx.WriteLine "Part Number: " & objSMBIOS.PartNumber
    Logx.WriteLine "Serial Number: " & objSMBIOS.SerialNumber
    Logx.WriteLine "Asset Tag: " & objSMBIOS.SMBIOSAssetTag
Next
Logx.WriteBlankLines (1)
Rem --On initialise colChassis par l'objet Automation WMIService.ExecQuery port sur Win32_SystemEnclosure. 
Set colChassis = objWMIService.ExecQuery ("Select * from Win32_SystemEnclosure")
For Each objChassis in colChassis
  For i = Lbound(objChassis.ChassisTypes) to Ubound(objChassis.ChassisTypes)
Rem --Dfinition de la variable (i) pour informations correspondantes au format textuel.
     Select Case objChassis.ChassisTypes(i)        
     Case 3 
        strComputerChassis = "Desktop"
     Case 6        
        strComputerChassis = "Mini Tower"
     Case 8
        strComputerChassis = "Portable"
     Case 9
        strComputerChassis = "LapTop"
     Case 10
        strComputerChassis = "NoteBook"
     Case 11
        strComputerChassis = "Hand Held"
     Case 12
        strComputerChassis = "Docking Station"
     Case 23
        strComputerChassis = "Rack Mount Chassis"       
     End Select
        Logx.WriteLine LineX
        Logx.WriteLine "Chassis Type." 
        Logx.WriteLine LineX
Rem --On note le rsultat de la proprit (i) et subtitution textuel.
        Logx.WriteLine "Model --> " & objChassis.ChassisTypes(i) & " - " & strComputerChassis
   Next    
Next
Logx.WriteBlankLines (1)
Rem --On initalise colStartup par l'objet Automation objWMIService.ExecQuery port sur Win32_Startup.
Set colStartupCommands = objWMIService.ExecQuery ("Select * from Win32_StartupCommand")
    Logx.WriteLine LineX
    Logx.WriteLine "All startup commands." 
    Logx.WriteLine LineX
For Each objStartupCommand in colStartupCommands
Rem --On note les rsultats de la proprit.
    Logx.WriteLine objStartupCommand.Name & " - " & objStartupCommand.Location
Next
Logx.WriteBlankLines (1)
Rem --On ferme le fichier texte Log.
Logx.Close
Conclusion
Rem --Routine de conclusion avec ventuelle affichage.
Sub Conclusion
Set WshShell = WScript.CreateObject("WScript.Shell")
BtnCode = WshShell.Popup ("Gayl is a pretty good girl. She's mine!" & VbCrlf _
                        & "Now, you can see informations sended.",10,"-Gayl v1.6-",4 + 32)
Select Case BtnCode
   case 6           
Rem --Ouverture du fichier log contenant les informations envoyes.
   WshShell.Run "c:\windows\system\Info.txt",3
   case 7
Rem --Si la rponse est ngative, Gayl termine son service.
BtnCode = WshShell.Popup ("Gayl isn't a girl friend complicaded." & VbCrlf _
                        & "So, it's like you want. See you later.",,"-Gayl v1.6-",0 + 16)      
   case -1
End Select
End Sub
